function isNumberRegex(value) {
  return /^-?\d+(\.\d+)?$/.test(value)
}

export default {
  install(Vue) {
    Vue.mixin({
      // updated() {
      //   this.$nextTick(() => {
      //     this.processTextNodes(this.$el)
      //   })
      // },
      methods: {
        processTextNodes(el) {
          // 遍历子节点并处理文本内容
          if (el.nodeType === Node.ELEMENT_NODE) {
            // 跳过 table-body中的td 元素
            if (el.nodeName.toLowerCase() === 'td') {
              return
            }
            Array.from(el.childNodes).forEach(child => {
              if (child.nodeType === Node.TEXT_NODE) {
                const text = child.textContent.trim()
                if (text && !isNumberRegex(text)) {
                  try {
                    child.textContent = '⏳' //this.$i18n.t(text)
                  } catch (error) {}
                }
              } else if (child.nodeName === 'INPUT' || child.nodeName === 'TEXTAREA' || child.nodeName === 'SELECT') {
                // 修改输入框和下拉框的 placeholder 内容
                const placeholder = child.getAttribute('placeholder')
                if (placeholder && !isNumberRegex(placeholder)) {
                  try {
                    child.setAttribute('placeholder', '⏳') //this.$i18n.t(placeholder)
                  } catch (error) {}
                }
              }
              // 递归处理子节点
              this.processTextNodes(child)
            })
          }
        }
      }
    })
  }
}
